curl --request GET \
--url https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/categories/{categoryId}/descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"CategoryId": 123,
"Name": "Binoculars",
"Description": "Best Binoculars",
"SeoPath": "binoculars",
"SeoMetaDescription": "Best Binoculars",
"SeoTitleTag": "Best Binoculars",
"SeoMetaKeywords": "Best, Binoculars",
"LanguageIso": "DE",
"SalesChannelId": "1-1-0"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Category Descriptions
Query all descriptions for a specific category
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
The requested category descriptions.
The category name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the category.
"Binoculars"
The category description in the given language and sales channel.
"Best Binoculars"
The SEO path in the given language and sales channel.
"binoculars"
The SEO metadescription in the given language and sales channel.
"Best Binoculars"
The title tag (SEO) in the given language and sales channel.
"Best Binoculars"
The meta keywords in the given language and sales channel.
"Best, Binoculars"
The ISO code of the language of the description.
"DE"
"1-1-0"
Was this page helpful?